import { CssProperty, Property, Style, View } from 'tns-core-modules/ui/core/view';
export declare enum Transition {
    Fade = "fade",
    None = "none"
}
export declare const srcProperty: Property<ImageCacheItBase, any>;
export declare const placeHolderProperty: Property<ImageCacheItBase, string>;
export declare const errorHolderProperty: Property<ImageCacheItBase, string>;
export declare const resizeProperty: Property<ImageCacheItBase, string>;
export declare const stretchProperty: Property<ImageCacheItBase, import("tns-core-modules/ui/image/image").Stretch>;
export declare const decodedWidthProperty: Property<ImageCacheItBase, number>;
export declare const decodedHeightProperty: Property<ImageCacheItBase, number>;
export declare const filterProperty: CssProperty<Style, string>;
export declare const transitionProperty: Property<ImageCacheItBase, Transition>;
export declare const fallbackProperty: Property<ImageCacheItBase, any>;
export declare class ImageCacheItBase extends View {
    src: any;
    placeHolder: any;
    errorHolder: any;
    resize: string;
    stretch: Stretch;
    decodedHeight: number;
    decodedWidth: number;
    filter: string;
    transition: Transition;
    fallback: any;
}
export declare type Stretch = 'none' | 'fill' | 'aspectFill' | 'aspectFit';
